CUTLASS: cutlass::reference::host::detail::RandomGaussianFunc< complex< Element > > Struct Template Reference

| CUTLASS CUDA Templates for Linear Algebra Subroutines and Solvers

- Main Page
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Public Attributes | List of all members
cutlass::reference::host::detail::RandomGaussianFunc< complex< Element > > Struct Template Reference

Partial specialization for initializing a complex value.

`#include <tensor_fill.h>`

## Public Member Functions
| RandomGaussianFunc (uint64_t seed_=0, double mean_=0, double stddev_=1, int int_scale_=-1)
complex< Element > | operator() () const
| Compute random value and update RNG state. More...

## Public Attributes
uint64_t | seed
double | mean
double | stddev
int | int_scale
double | pi

## Constructor & Destructor Documentation

template<typename Element >

cutlass::reference::host::detail::RandomGaussianFunc< complex< Element > >::RandomGaussianFunc | ( | uint64_t | seed_ = `0`,
|  | double | mean_ = `0`,
|  | double | stddev_ = `1`,
|  | int | int_scale_ = `-1`
| ) |  |
| inline

## Member Function Documentation

template<typename Element >

complex<Element> cutlass::reference::host::detail::RandomGaussianFunc< complex< Element > >::operator() | ( |  | ) | const
| inline

## Member Data Documentation

template<typename Element >

int cutlass::reference::host::detail::RandomGaussianFunc< complex< Element > >::int_scale

template<typename Element >

double cutlass::reference::host::detail::RandomGaussianFunc< complex< Element > >::mean

template<typename Element >

double cutlass::reference::host::detail::RandomGaussianFunc< complex< Element > >::pi

template<typename Element >

uint64_t cutlass::reference::host::detail::RandomGaussianFunc< complex< Element > >::seed

template<typename Element >

double cutlass::reference::host::detail::RandomGaussianFunc< complex< Element > >::stddev

The documentation for this struct was generated from the following file:

- host/tensor_fill.h